# $Revision: 1.16 $, $Date: 2002/07/09 22:40:46 $
Summary:	Cryptographic library based on the code from GnuPG
Summary(es):	Libgcrypt es una biblioteca general de desarrole embasada em GnuPG
Summary(pl):	Biblioteka kryptograficzna oparta na kodzie GnuPG
Summary(pt_BR):	libgcrypt  uma biblioteca de criptografia de uso geral baseada no GnuPG
Name:		libgcrypt
Version:	1.1.8
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/libgcrypt/%{name}-%{version}.tar.gz
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-info.patch
URL:		http://www.gnu.org/gnulist/production/libgcrypt.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a general purpose cryptographic library based on the code from
GnuPG. It provides functions for all cryptograhic building blocks:
symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour), hash
algorithms (MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all
hash algorithms), public key algorithms (RSA, ElGamal, DSA), large
integer functions, random numbers and a lot of supporting functions.

%description -l pl
Ten pakiet zawiera bibliotek kryptograficzn oglnego przeznaczenia,
opart na kodzie GnuPG. Biblioteka ta dostarcza funkcje do wszystkich
podstawowych blokw kryptografii: szyfrw symetrycznych (AES, DES,
Blowfish, CAST5, Twofish, Acrfour), algorytmw mieszajcych (MD5,
RIPE-MD160, SHA-1, RIGER-192), MAC-w (HMAC dla wszystkich algorytmw
mieszajcych), algorytmw klucza publicznego (RSA, ElGamal, DSA),
funkcji duych liczb cakowitych, liczb losowych i wiele funkcji
pomocniczych.

%description -l pt_BR
Libgcrypt  uma biblioteca de criptografia de uso geral baseada no
GnuPG.

%package devel
Summary:	Header files etc to develop libgcrypt applications
Summary(es):	Archivos de desarrollo de libgcrypt
Summary(pl):	Pliki nagwkowe i inne do libgcrypt
Summary(pt_BR):	Arquivos de desenvolvimento da libgcrypt
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files etc to develop libgcrypt applications.

%description devel -l pl
Pliki nagwkowe i inne do libgcrypt.

%description devel -l pt_BR
Bibliotecas de desenvolvimento para libgcrypt.

%package static
Summary:	Static libgcrypt library
Summary(es):	Archivos de desarrollo de libgcrypt - estatico
Summary(pl):	Biblioteka statyczna libgcrypt
Summary(pt_BR):	Arquivos de desenvolvimento da libgcrypt - biblioteca esttica
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libgcrypt library.

%description static -l pl
Biblioteka statyczna libgcrypt.

%description static -l pt_BR
Bibliotecas de desenvolvimento para libgcrypt - esttico.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f misssing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libgcrypt-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_infodir}/*info*
%{_includedir}/*.h
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgcrypt.spec,v $
Revision 1.16  2002/07/09 22:40:46  kloczek
- updated to 1.1.8 (gug fixes release),
- removed initializer_fix patch (now in dist tar ball),
- added no_libnsl paytch and full regennetate ac/am/lt suit,
- merge translations from Conectiva,
- added info patch and info pages to devel subpackage.

Revision 1.15  2002/07/09 20:09:59  kloczek
- release 5: libgcrypt-config moved to devel subpackage.

Revision 1.14  2002/07/08 19:37:46  mmazur
- fixed building on ppc

Revision 1.13  2002/03/25 21:57:34  marcus
- rel.4.

Revision 1.12  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 19:48:08  qboosh
- pl translation for base package, release 3

Revision 1.10  2002/02/13 14:48:24  kloczek
- release 2.

Revision 1.9  2002/02/13 10:21:37  grzegorz
- adaptarized

Revision 1.8  2002/02/09 10:26:00  kloczek
- updated to 1.1.6 (enhanced the S-expression conversion functions).

Revision 1.7  2002/02/02 20:21:38  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.6  2002/02/01 14:50:49  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.5  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/06 04:34:07  kloczek
- updated to 1.1.5 (close memory leaks and few improvments).

Revision 1.3  2001/08/06 09:19:12  kloczek
- updated to 1.1.4.

Revision 1.2  2001/06/24 19:04:16  kloczek
- added full Source url,
- added static subpackage,
- some cleanups.
NOTE: stiil missing prepare correctly documemtation (preferred info format).

Revision 1.1  2001/06/24 16:44:18  grzegorz
- initial SPEC
